PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_dlatro | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | const double * | A,
|  | int | LDA,
|  | double * | B,
|  | int | LDB
| ) |  |

CORE_dlatro transposes a m-by-n matrix out of place.

Parameters

  [in] | uplo | Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: the upper triangle of A and the lower triangle of B are referenced. = PlasmaLower: the lower triangle of A and the upper triangle of B are referenced. = PlasmaUpperLower: All A and B are referenced.
  [in] | trans | Specifies whether the matrix A is transposed, not transposed or ugate transposed: = PlasmaNoTrans: B is a copy of A (equivalent to dlacpy); = PlasmaTrans: B is the transpose of A; = PlasmaTrans: B is the ugate transpose of A.
  [in] | M | Number of rows of the matrix A and number of columns of the matrix B, if trans == Pasma[Conj]Trans. Number of rows of the matrix A and the matrix B, if trans == PasmaNoTrans.
  [in] | N | Number of columns of the matrix A and number of rows of the matrix B, if trans == Pasma[Conj]Trans. Number of columns of the matrix A and of the matrix B, if trans == PlasmaNoTrans.
  [in] | A | Matrix of size LDA-by-N, if trans == Pasma[Conj]Trans. Matrix of size LDA-by-M, if trans == PasmaNoTrans.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M), if trans == Pasma[Conj]Trans. LDA >= max(1,N), if trans == PasmaNoTrans.
  [out] | B | Matrix of size LDB-by-M, if trans == Pasma[Conj]Trans. Matrix of size LDB-by-N, if trans == PasmaNoTrans.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N), if trans == Pasma[Conj]Trans. LDB >= max(1,M), if trans == PasmaNoTrans.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value